classification
Title: mingw-meta: build core modules
Type: enhancement Stage:
Components: Build, Cross-Build, Extension Modules Versions: Python 3.4
process
Status: open Resolution:
Dependencies: Superseder:
Assigned To: Nosy List: rpetrov
Priority: normal Keywords:

Created on 2013-08-04 12:35 by rpetrov, last changed 2013-08-04 13:22 by rpetrov.

Messages (2)
msg194358 - (view) Author: Roumen Petrov (rpetrov) * Date: 2013-08-04 12:35
split of issue3871 - this is meta issue only for part related to build core. Remark: build of interpreter core is in issue17605 .

Now split is:
- 01 issue13756 : Python make fail on cygwin
- 02 issue17219 : add current dir in library path if building python standard extensions
- 03 issue6672   : Add Mingw recognition to pyport.h to allow building extensions
- 04 issue18485 : configure for shared build
- 05 issue18486 : dynamic loading support
- 06 issue18487 : implement exec prefix
- 07 issue18495 : ignore main program for frozen scripts
- 08 issue18496 : setup exclude termios module
- 09 issue18497 : setup _multiprocessing module
- 10 issue18498 : setup select module
- 11 issue18499 : setup _ctypes module with system libffi
- 12 issue18500 : defect winsock2 and setup _socket module
- 13 issue18630 : exclude unix only modules
- 14 issue18631 : setup msvcrt and _winapi modules
- 15 issue18632 : build extensions with GCC
- 16 issue18633 : use Mingw32CCompiler as default compiler for mingw* build
- 17 issue18634 : find import library
- 18 issue18636 : setup _ssl module
- 19 issue18637 : export _PyNode_SizeOf as PyAPI for parser module
- 20 issue18638 : generalization of posix build in sysconfig.py
- 21 issue18639 : avoid circular dependency from time module during native build of extentions
- 22 issue18640 : generalization of posix build in distutils/sysconfig.py
- 23 issue18641 : customize site
- 24 after above patches user must regenerate configure script.

Hints:
a) at configure time define environment variable CPPFLAGS with minimum supported version like this   "-DWINVER=0x501 -D_WIN32_WINNT=0x501  -DMS_COREDLL=1", i.e XP is now minimum. MS_COREDLL is required for ctype module
b) at configure time define environment variable CCSHARED with minimum supported version like this: "-DWINVER=0x501 -D_WIN32_WINNT=0x501". Remark use same values as CPPFLAGS
c) use --without-libm
d) use --enable-shared
e) use --with-system-ffi
msg194368 - (view) Author: Roumen Petrov (rpetrov) * Date: 2013-08-04 13:22
This patch require "modernize mingw&cygwin compiler classes" now opened as separate issue18654 .
History
Date User Action Args
2013-08-04 13:22:38rpetrovsetmessages: + msg194368
2013-08-04 12:35:20rpetrovcreate